#[doc = r"Value read from the register"]
pub struct R {
    bits: u32,
}
impl super::DCOUNT {
    #[doc = r"Reads the contents of the register"]
    #[inline(always)]
    pub fn read(&self) -> R {
        R {
            bits: self.register.get(),
        }
    }
}
#[doc = r"Value of the field"]
pub struct DATACOUNTR {
    bits: u32,
}
impl DATACOUNTR {
    #[doc = r"Value of the field as raw bits"]
    #[inline(always)]
    pub fn bits(&self) -> u32 {
        self.bits
    }
}
impl R {
    #[doc = r"Value of the register as raw bits"]
    #[inline(always)]
    pub fn bits(&self) -> u32 {
        self.bits
    }
    #[doc = "Bits 0:24 - Data count value"]
    #[inline(always)]
    pub fn datacount(&self) -> DATACOUNTR {
        let bits = ((self.bits >> 0) & 0x01ff_ffff) as u32;
        DATACOUNTR { bits }
    }
}
