#[doc = r"Register block"]
#[repr(C)]
pub struct RegisterBlock {
    #[doc = "0x00 - CR1"]
    pub cr1: CR1,
    #[doc = "0x04 - CR2"]
    pub cr2: CR2,
    #[doc = "0x08 - OAR1"]
    pub oar1: OAR1,
    #[doc = "0x0c - OAR2"]
    pub oar2: OAR2,
    #[doc = "0x10 - DR"]
    pub dr: DR,
    #[doc = "0x14 - SR1"]
    pub sr1: SR1,
    #[doc = "0x18 - SR2"]
    pub sr2: SR2,
    #[doc = "0x1c - CCR"]
    pub ccr: CCR,
    #[doc = "0x20 - TRISE"]
    pub trise: TRISE,
}
#[doc = "CR1"]
pub struct CR1 {
    register: vcell::VolatileCell<u32>,
}
#[doc = "CR1"]
pub mod cr1;
#[doc = "CR2"]
pub struct CR2 {
    register: vcell::VolatileCell<u32>,
}
#[doc = "CR2"]
pub mod cr2;
#[doc = "OAR1"]
pub struct OAR1 {
    register: vcell::VolatileCell<u32>,
}
#[doc = "OAR1"]
pub mod oar1;
#[doc = "OAR2"]
pub struct OAR2 {
    register: vcell::VolatileCell<u32>,
}
#[doc = "OAR2"]
pub mod oar2;
#[doc = "DR"]
pub struct DR {
    register: vcell::VolatileCell<u32>,
}
#[doc = "DR"]
pub mod dr;
#[doc = "SR1"]
pub struct SR1 {
    register: vcell::VolatileCell<u32>,
}
#[doc = "SR1"]
pub mod sr1;
#[doc = "SR2"]
pub struct SR2 {
    register: vcell::VolatileCell<u32>,
}
#[doc = "SR2"]
pub mod sr2;
#[doc = "CCR"]
pub struct CCR {
    register: vcell::VolatileCell<u32>,
}
#[doc = "CCR"]
pub mod ccr;
#[doc = "TRISE"]
pub struct TRISE {
    register: vcell::VolatileCell<u32>,
}
#[doc = "TRISE"]
pub mod trise;
