#[doc = r"Value read from the register"]
pub struct R {
    bits: u32,
}
impl super::RESPCMD {
    #[doc = r"Reads the contents of the register"]
    #[inline(always)]
    pub fn read(&self) -> R {
        R {
            bits: self.register.get(),
        }
    }
}
#[doc = r"Value of the field"]
pub struct RESPCMDR {
    bits: u8,
}
impl RESPCMDR {
    #[doc = r"Value of the field as raw bits"]
    #[inline(always)]
    pub fn bits(&self) -> u8 {
        self.bits
    }
}
impl R {
    #[doc = r"Value of the register as raw bits"]
    #[inline(always)]
    pub fn bits(&self) -> u32 {
        self.bits
    }
    #[doc = "Bits 0:5 - Response command index"]
    #[inline(always)]
    pub fn respcmd(&self) -> RESPCMDR {
        let bits = ((self.bits >> 0) & 0x3f) as u8;
        RESPCMDR { bits }
    }
}
