#[doc = r"Value read from the register"]
pub struct R {
    bits: u32,
}
impl super::TXCRCR {
    #[doc = r"Reads the contents of the register"]
    #[inline(always)]
    pub fn read(&self) -> R {
        R {
            bits: self.register.get(),
        }
    }
}
#[doc = r"Value of the field"]
pub struct TXCRCR {
    bits: u16,
}
impl TXCRCR {
    #[doc = r"Value of the field as raw bits"]
    #[inline(always)]
    pub fn bits(&self) -> u16 {
        self.bits
    }
}
impl R {
    #[doc = r"Value of the register as raw bits"]
    #[inline(always)]
    pub fn bits(&self) -> u32 {
        self.bits
    }
    #[doc = "Bits 0:15 - Tx CRC register"]
    #[inline(always)]
    pub fn tx_crc(&self) -> TXCRCR {
        let bits = ((self.bits >> 0) & 0xffff) as u16;
        TXCRCR { bits }
    }
}
