#[doc = r"Register block"]
#[repr(C)]
pub struct RegisterBlock {
    #[doc = "0x00 - DBGMCU_IDCODE"]
    pub idcode: IDCODE,
    #[doc = "0x04 - Debug MCU configuration register"]
    pub cr: CR,
    #[doc = "0x08 - Debug MCU APB1 freeze register1"]
    pub apb1_fz: APB1_FZ,
    #[doc = "0x0c - Debug MCU APB1 freeze register 2"]
    pub apb2_fz: APB2_FZ,
}
#[doc = "DBGMCU_IDCODE"]
pub struct IDCODE {
    register: vcell::VolatileCell<u32>,
}
#[doc = "DBGMCU_IDCODE"]
pub mod idcode;
#[doc = "Debug MCU configuration register"]
pub struct CR {
    register: vcell::VolatileCell<u32>,
}
#[doc = "Debug MCU configuration register"]
pub mod cr;
#[doc = "Debug MCU APB1 freeze register1"]
pub struct APB1_FZ {
    register: vcell::VolatileCell<u32>,
}
#[doc = "Debug MCU APB1 freeze register1"]
pub mod apb1_fz;
#[doc = "Debug MCU APB1 freeze register 2"]
pub struct APB2_FZ {
    register: vcell::VolatileCell<u32>,
}
#[doc = "Debug MCU APB1 freeze register 2"]
pub mod apb2_fz;
