#[doc = r"Value read from the register"]
pub struct R {
    bits: u32,
}
impl super::RESP4 {
    #[doc = r"Reads the contents of the register"]
    #[inline(always)]
    pub fn read(&self) -> R {
        R {
            bits: self.register.get(),
        }
    }
}
#[doc = r"Value of the field"]
pub struct CARDSTATUS4R {
    bits: u32,
}
impl CARDSTATUS4R {
    #[doc = r"Value of the field as raw bits"]
    #[inline(always)]
    pub fn bits(&self) -> u32 {
        self.bits
    }
}
impl R {
    #[doc = r"Value of the register as raw bits"]
    #[inline(always)]
    pub fn bits(&self) -> u32 {
        self.bits
    }
    #[doc = "Bits 0:31 - see Table 133."]
    #[inline(always)]
    pub fn cardstatus4(&self) -> CARDSTATUS4R {
        let bits = ((self.bits >> 0) & 0xffff_ffff) as u32;
        CARDSTATUS4R { bits }
    }
}
