#[doc = r"Value read from the register"]
pub struct R {
    bits: u32,
}
impl super::DOUTR {
    #[doc = r"Reads the contents of the register"]
    #[inline(always)]
    pub fn read(&self) -> R {
        R {
            bits: self.register.get(),
        }
    }
}
#[doc = r"Value of the field"]
pub struct DOUTRR {
    bits: u32,
}
impl DOUTRR {
    #[doc = r"Value of the field as raw bits"]
    #[inline(always)]
    pub fn bits(&self) -> u32 {
        self.bits
    }
}
impl R {
    #[doc = r"Value of the register as raw bits"]
    #[inline(always)]
    pub fn bits(&self) -> u32 {
        self.bits
    }
    #[doc = "Bits 0:31 - Data output"]
    #[inline(always)]
    pub fn doutr(&self) -> DOUTRR {
        let bits = ((self.bits >> 0) & 0xffff_ffff) as u32;
        DOUTRR { bits }
    }
}
