#[doc = r"Register block"]
#[repr(C)]
pub struct RegisterBlock {
    #[doc = "0x00 - IMR"]
    pub imr: IMR,
    #[doc = "0x04 - EMR"]
    pub emr: EMR,
    #[doc = "0x08 - RTSR"]
    pub rtsr: RTSR,
    #[doc = "0x0c - FTSR"]
    pub ftsr: FTSR,
    #[doc = "0x10 - SWIER"]
    pub swier: SWIER,
    #[doc = "0x14 - PR"]
    pub pr: PR,
}
#[doc = "IMR"]
pub struct IMR {
    register: vcell::VolatileCell<u32>,
}
#[doc = "IMR"]
pub mod imr;
#[doc = "EMR"]
pub struct EMR {
    register: vcell::VolatileCell<u32>,
}
#[doc = "EMR"]
pub mod emr;
#[doc = "RTSR"]
pub struct RTSR {
    register: vcell::VolatileCell<u32>,
}
#[doc = "RTSR"]
pub mod rtsr;
#[doc = "FTSR"]
pub struct FTSR {
    register: vcell::VolatileCell<u32>,
}
#[doc = "FTSR"]
pub mod ftsr;
#[doc = "SWIER"]
pub struct SWIER {
    register: vcell::VolatileCell<u32>,
}
#[doc = "SWIER"]
pub mod swier;
#[doc = "PR"]
pub struct PR {
    register: vcell::VolatileCell<u32>,
}
#[doc = "PR"]
pub mod pr;
