#[doc = r"Value read from the register"]
pub struct R {
    bits: u32,
}
impl super::FIFOCNT {
    #[doc = r"Reads the contents of the register"]
    #[inline(always)]
    pub fn read(&self) -> R {
        R {
            bits: self.register.get(),
        }
    }
}
#[doc = r"Value of the field"]
pub struct FIFOCOUNTR {
    bits: u32,
}
impl FIFOCOUNTR {
    #[doc = r"Value of the field as raw bits"]
    #[inline(always)]
    pub fn bits(&self) -> u32 {
        self.bits
    }
}
impl R {
    #[doc = r"Value of the register as raw bits"]
    #[inline(always)]
    pub fn bits(&self) -> u32 {
        self.bits
    }
    #[doc = "Bits 0:23 - Remaining number of words to be written to or read from the FIFO."]
    #[inline(always)]
    pub fn fifocount(&self) -> FIFOCOUNTR {
        let bits = ((self.bits >> 0) & 0x00ff_ffff) as u32;
        FIFOCOUNTR { bits }
    }
}
